<!
<!DOCTYPE html>

<html lang="en">

<head>

  {% load static %}
    <link rel="stylesheet" type="text/css" href="{% static 'my_css/atten.css'%}">


  <title></title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>
<style> 

  body {font-family: "Lato", sans-serif}
  .mySlides {display: none}
</style>
<body>


<!-- Navbar -->
  <div class="w3-top">
    <div class="w3-bar w3-black w3-card">
      <a class="w3-bar-item w3-button w3-padding-large w3-hide-medium w3-hide-large w3-right" href="javascript:void(0)" onclick="myFunction()" title="Toggle Navigation Menu"><i class="fa fa-bars"></i></a>
      <a href="{%url 'home'%}" class="w3-bar-item w3-button w3-padding-large">HOME</a>
      <a href="{% url 'insert'%}" class="w3-bar-item w3-button w3-padding-large w3-hide-small">Take Attendance</a>
      <a href="{%url 'timetable'%}" id="TimeTable" class="w3-bar-item w3-button w3-padding-large w3-hide-small">TimeTable</a>
      <a href="#" id="time"class="w3-bar-item w3-button w3-padding-large w3-hide-small">Current Date and Time</a>
      <a href="{%url 'about'%}" id="about"class="w3-bar-item w3-button w3-padding-large w3-hide-small">About</a>
      <a href="{%url 'loginuser'%}" class="w3-bar-item w3-button w3-padding-large w3-hide-small">Logout</a>

      <div class="w3-dropdown-hover w3-hide-small">
        <button class="w3-padding-large w3-button" title="More">Student<i class="fa fa-caret-down"></i></button>     
        <div class="w3-dropdown-content w3-bar-block w3-card-4">
          <a href="{% url 'stinsert'%}" class="w3-bar-item w3-button">Add details</a>
          <a href="{% url 'studentinfo'%}" class="w3-bar-item w3-button">Views Details</a>
        </div>

      </div>
    </div>
  </div>


<!-- Navbar on small screens (remove the onclick attribute if you want the navbar to always show on top of the content when clicking on the links) -->
  <div id="navDemo" class="w3-bar-block w3-black w3-hide w3-hide-large w3-hide-medium w3-top" style="margin-top:46px">
    <a href="{%url 'home'%}" class="w3-bar-item w3-button w3-padding-large" onclick="myFunction()">Home</a>
    <a href="{%url 'insert'%}" class="w3-bar-item w3-button w3-padding-large" onclick="myFunction()">Take Attendance</a>
    <a href="#contact" class="w3-bar-item w3-button w3-padding-large" onclick="myFunction()">Current Date and Time</a>
    <a href="{%url 'about'%}" class="w3-bar-item w3-button w3-padding-large" onclick="myFunction()">About</a>
    <a href="{% url 'stinsert'%}" class="w3-bar-item w3-button w3-padding-large" onclick="myFunction()">Add Details</a>
    <a href="{% url 'studentinfo' %}" class="w3-bar-item w3-button w3-padding-large" onclick="myFunction()">Views Details</a>
    <a href="{% url 'loginuser'%}" class="w3-bar-item w3-button w3-padding-large" onclick="myFunction()">Logout</a>
  </div>



<section style="position: relative; left:40px; width:90%; margin-top:50px;">
   
    <h3 style="color:white;position:relative;left:40%; width:40%; font-size:3vw;">Student's Detail<h3>
  
    {% if stu %}<!--if data contain-->
<!--  <h1>show data</h1> -->
    <!--{{stu}} it will print value-->

  <table border="1" style="background-color: white; font-size:2vw; width:100%; border-collapse: collapse;">
    <tr style="background-color: #dcc5eb;">
      <th style="background-color:#ae91cc">Id</th>
      <th>Name</th>
      <th>Phonenumber</th>
      <th>CID</th>
      <th>Village</th>
      <th>Email</th>
      <th colspan="2"></th>

    </tr>
       {%for st in stu %}
    <tr>
      <td style="background-color:#ae91cc">{{st.id}}</td><!--it will store the data tha we type-->
      <td>{{st.name}}</td>
      <td>{{st.phonenumber}}</td>
      <td>{{st.CID}}</td>
      <td>{{st.village}}</td>
      <td>{{st.email}}</td>
      <td style="background-color:#025404;"><a style="color:white; text-decoration: none; width:100%;"href="/edit/{{st.id}}">edit</a></td>
      <td style="background-color:#990026;"><a style=" color:white; text-decoration: none; width:100%;"href="/delete/{{st.id}}" onclick="return confirm('Are You Sure Want To Delete?')">delete</a></td>
      
    </tr> 
      {% endfor %}<!--it will end for loop-->
  </table>
      {% else %}<!--if there is no data mean-->
    <h1 style="position:relative;left:270px; color:white;font-size: 4vw;">No Data</h1>
      {% endif%}
  </section>
  


<script>
// Automatic Slideshow - change image every 4 seconds
var myIndex = 0;
carousel();

function carousel() {
  var i;
  var x = document.getElementsByClassName("mySlides");
  for (i = 0; i < x.length; i++) {
    x[i].style.display = "none";  
  }
  myIndex++;
  if (myIndex > x.length) {myIndex = 1}    
  x[myIndex-1].style.display = "block";  
  setTimeout(carousel, 4000);    
}

// Used to toggle the menu on small screens when clicking on the menu button
function myFunction() {
  var x = document.getElementById("navDemo");
  if (x.className.indexOf("w3-show") == -1) {
    x.className += " w3-show";
  } else { 
    x.className = x.className.replace(" w3-show", "");
  }
}

// When the user clicks anywhere outside of the modal, close it
var modal = document.getElementById('ticketModal');
window.onclick = function(event) {
  if (event.target == modal) {
    modal.style.display = "none";
  }
}
</script>

</body>
</html>
